<?php
/**
 * 管理员后台会员操作类
 */
defined('IN_PHPCMS') or exit('No permission resources.');
pc_base::load_app_class('admin', 'admin', 0);
pc_base::load_sys_class('format', '', 0);
pc_base::load_sys_class('form', '', 0);

class wxadmin extends admin {	
	function __construct() {
		parent::__construct();
		$this->setting_db = pc_base::load_model('weixin_setting_model');//功能设置
		$this->vip_db = pc_base::load_model('weixin_member_model');//微会员
		$this->hf_db = pc_base::load_model('weixin_huifu_model');//微信回复
		$this->message_db = pc_base::load_model('weixin_message_model');//微信消息
	}
	/**
	 * 开发模式
	 */
	function kaifa() {
		$kaifa=$this->setting_db->get_one(array('keyword'=>'token'));
		if(empty($kaifa[setting])){
			$this->setting_db->insert(array('keyword'=>'token','setting'=>create_randomstr()));
			$kaifa=$this->setting_db->get_one(array('keyword'=>'token'));
		}
		include $this->admin_tpl('kaifa');
	}
	/**
	 * 微信关注回复
	 */
	function gzhf() {
		$where ="keyword='subscribe'";
		$page = isset($_GET['page']) ? intval($_GET['page']) : 1;
		$list = $this->hf_db->listinfo($where, 'id asc', $page, 50);
		$pages = $this->hf_db->pages;
		include $this->admin_tpl('wxgzhf');
	}
	/**
	 * 添加自定义回复内容
	 */
	function wxgzhf_add() {
		
		if(isset($_POST['dosubmit'])) {
			$info = array();
			$info['title'] = $_POST['info']['title'];
			$info['type'] = $_POST['info']['type'];
			$info['thumb'] = $_POST['info']['thumb'];
			$info['description'] = $_POST['info']['description'];
			$info['content'] = $_POST['info']['content'];
			$info['link'] = $_POST['info']['link'];
			$info['keyword'] = 'subscribe';
			$info['keyword2'] = $_POST['info']['keyword2'];
			$info['keyword3'] = $_POST['info']['keyword3'];
			$info['siteid'] = '0';
			$info['datetime'] = SYS_TIME;
			//会员基本信息
			$countsub=count($this->sub=$this->hf_db->select(array('keyword'=>'subscribe','siteid'=>'0')));
			if($countsub>10 or $countsub ==10){
				showmessage('自定义回复数量已经满10条。请删除后在添加', '?m=weixin&c=wxadmin&a=wxgzhf_add', '', 'edit');
			}else{
				$this->hf_db->insert($info);
				showmessage(L('operation_success'), '?m=weixin&c=wxadmin&a=wxgzhf_add', '', 'edit');
			}

		} else {
			include $this->admin_tpl('wxgzhf_add');		
		}
	}
	/**
	 * 关注回复编辑
	 */
	function hfedit() {
		if(isset($_POST['dosubmit'])) {
			$memberinfo = $info = array();
			$info['title'] = $_POST['info']['title'];
			$info['type'] = $_POST['info']['type'];
			$info['thumb'] = $_POST['info']['thumb'];
			$info['description'] = $_POST['info']['description'];
			$info['content'] = $_POST['info']['content'];
			$info['link'] = $_POST['info']['link'];
			$info['keyword'] = $_POST['info']['keyword'];
			$info['keyword2'] = $_POST['info']['keyword2'];
			$info['keyword3'] = $_POST['info']['keyword3'];
			$info['datetime'] = SYS_TIME;
			$id = $_POST['info']['id'];;
			//会员基本信息
			if($_POST['info']['keyword']=='' and $_POST['info']['keyword2']=='' and $_POST['info']['keyword3']==''){
				showmessage('关键字不能为空', HTTP_REFERER);
			}else{
				$this->hf_db->update($info, array('id'=>$id));
				showmessage(L('operation_success'), '?m=weixin&c=wxadmin&a=wxgzhf', '', 'edit');
			}
		} else {
			$show_header = $show_scroll = true;
			$id = isset($_GET['id']) ? $_GET['id'] : showmessage(L('illegal_parameters'), HTTP_REFERER);
			$where = array('id'=>$id);
			$memberinfo = $this->hf_db->get_one($where);
			include $this->admin_tpl('wxgzhf_edit');		
		}
	}
	/**
	 * 自定义回复内容
	 */
	function zdyhf() {
		$where ="keyword<>'subscribe'";
		$page = isset($_GET['page']) ? intval($_GET['page']) : 1;
		$list = $this->hf_db->listinfo($where, 'id desc', $page, 50);
		$pages = $this->hf_db->pages;
		include $this->admin_tpl('zdyhuifu');
	}
	/**
	 * 添加自定义回复内容
	 */
	function zdy_add() {
		
		if(isset($_POST['dosubmit'])) {
			$info = array();
			$info['title'] = $_POST['info']['title'];
			$info['type'] = $_POST['info']['type'];
			$info['thumb'] = $_POST['info']['thumb'];
			$info['description'] = $_POST['info']['description'];
			$info['content'] = $_POST['info']['content'];
			$info['link'] = $_POST['info']['link'];
			$info['keyword'] = $_POST['info']['keyword'];
			$info['keyword2'] = $_POST['info']['keyword2'];
			$info['keyword3'] = $_POST['info']['keyword3'];
			$info['siteid'] = '0';
			$info['datetime'] = SYS_TIME;
			//会员基本信息
			if($_POST['info']['keyword']=='' and $_POST['info']['keyword2']=='' and $_POST['info']['keyword3']==''){
				showmessage('关键字不能为空', HTTP_REFERER);
			}else{
				$this->hf_db->insert($info);
				showmessage(L('operation_success'), '?m=weixin&c=wxadmin&a=zdy_add', '', 'edit');
			}
		} else {
			include $this->admin_tpl('zdy_add');		
		}
	}
	/**
	 * 删除自定义回复内容
	 */
	function delzdy() {
		$id = $_GET['id'];
		$this->hf_db->delete(array('id'=>$id,'siteid'=>'0'));
		showmessage('删除成功', HTTP_REFERER);
	}
	/**
	 * 微信消息为空数据管理
	 */
	function null() {
		$page = isset($_GET['page']) ? intval($_GET['page']) : 1;
		$memberlist = $this->message_db->listinfo($where, 'id DESC', $page, 30);
		$pages = $this->message_db->pages;
		include $this->admin_tpl('null');
	}
	
}
?>